#---
# Excerpted from "High Performance PostgreSQL for Rails",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit https://pragprog.com/titles/aapsql for more book information.
#---
# copy from container to local filesystem
docker cp db01:/var/lib/postgresql/data/postgresql.conf .

# create a backup of the file
cp postgresql.conf postgresql.backup.conf

# edit the config, using your own editor (replace vim if needed)
vim postgresql.conf

# Change wal_level to logical as follows:
# Find the "wal_level" value which is commented out
#
# wal_level = logical

# Once edited and saved, copy it back to db01
docker cp postgresql.conf db01:/var/lib/postgresql/data/.

# For wal_level, need to restart the container:
docker restart db01

# Confirm wal_level was set to logical
docker exec --user postgres -it db01 psql -c "SHOW wal_level"
