#---
# Excerpted from "High Performance PostgreSQL for Rails",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit https://pragprog.com/titles/aapsql for more book information.
#---
# Log SQL statements in Rails console
ActiveRecord::Base.logger = Logger.new(STDOUT)

# Set up 6 Vehicle instances
vehicles = [
  Vehicle.new(name: "Lucid Air", status: VehicleStatus::DRAFT),
  Vehicle.new(name: "Bugatti Veyron", status: VehicleStatus::DRAFT),
  Vehicle.new(name: "Ferrari LaFerrari", status: VehicleStatus::DRAFT),
  Vehicle.new(name: "Porsche 911 GT2 RS", status: VehicleStatus::DRAFT),
  Vehicle.new(name: "Toyota GR Supra", status: VehicleStatus::DRAFT),
  Vehicle.new(name: "McLaren Senna", status: VehicleStatus::DRAFT)
]
columns = [:name]

# batch_size of 3, should generate 2 INSERT statements,
# each statement with 3 vehicles
Vehicle.import(columns, vehicles, validate: false, batch_size: 3)
