#---
# Excerpted from "High Performance PostgreSQL for Rails",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit https://pragprog.com/titles/aapsql for more book information.
#---
# 1. identify `singlecompany` subdomain based on requests from:
# `singlecompany.myapp.com`
#
# 2. Set: (shard = Tenant.find_by(subdomain: 'singlecompany').shard)
#
# 3. In `before_action`, set: `Current.shard`
#
# ```
# before_action do
#   shard = Tenant.find_by(subdomain: 'singlecompany').shard
#
#   Current.shard = shard
# end
# ```
ApplicationRecord.connected_to(shard: Current.shard, role: :writing) do
  # perform write requests here
  # or use `role: :reading`
end
