ALTER TABLE users ADD COLUMN first_name_ci TEXT COLLATE english_ci;

\d users; 
-- confirm first_name_ci exists, text type, uses english_ci COLLATION
-- Set first_name to Audrey for MIN(id)
-- Backfill first_name_ci to the same value (capitalized)
UPDATE users
SET
  first_name = 'Audrey',
  first_name_ci = 'Audrey'
WHERE id = (SELECT MIN(id) FROM users);

-- Users contains two rows with "Audrey" first name,
-- but case doesn't match `first_name`
SELECT id, first_name
FROM users
WHERE first_name = 'audrey';

-- Searching on `first_name_ci` is case insensitive,
-- two matches returned
SELECT id, first_name
FROM users
WHERE first_name_ci = 'audrey';
