-- Drop index, replacing it with UNIQUE
DROP INDEX users_fname_include_lname_incl;

-- Remove constraints for example, allows deletes
ALTER TABLE trips DROP CONSTRAINT fk_rails_e7560abc33;
ALTER TABLE trip_requests DROP CONSTRAINT fk_rails_c17a139554;

-- CTE to find duplicate first names, then
-- delete users with that first_name
WITH dupe_first_names AS (
  SELECT first_name, COUNT(*) FROM users
  GROUP BY first_name HAVING COUNT(*) > 1
)
DELETE FROM users
WHERE first_name IN (
  SELECT DISTINCT first_name FROM dupe_first_names
);

-- Create index again, adding UNIQUE
CREATE UNIQUE INDEX users_fname_include_lname_incl
ON users (first_name)
INCLUDE (last_name);
