-- Remove existing constriant in Rideshare, we'll
-- add it back to practice (need double quotes)
ALTER TABLE vehicle_reservations
DROP CONSTRAINT IF EXISTS "non_overlapping_vehicle_registration";

-- Enable the extension
CREATE EXTENSION IF NOT EXISTS btree_gist;

-- Create the exclusion constraint,
-- using a GIST index
ALTER TABLE vehicle_reservations
ADD CONSTRAINT non_overlapping_vehicle_reservation
EXCLUDE USING GIST (
  vehicle_id WITH =,
  TSTZRANGE(starts_at, ends_at) WITH &&
)
WHERE (NOT canceled);

-- List exclusion constraints
SELECT conname FROM pg_constraint
WHERE contype = 'x';
