ALTER TABLE users ADD COLUMN deleted_at timestamptz;

-- Index supporting queries for "soft deleted" users
CREATE INDEX IF NOT EXISTS index_users_deleted_email_partial
ON users
USING BTREE (email)
WHERE deleted_at IS NOT NULL;

-- "soft delete" some users
UPDATE users
SET deleted_at = NOW()
WHERE id <= 10;

-- Update stats following deletes
ANALYZE (VERBOSE) users;
