CREATE SCHEMA IF NOT EXISTS temp;

DROP TABLE IF EXISTS temp.users;

BEGIN;

SET LOCAL statement_timeout = '120s';

-- Requires PostgreSQL 16+ for underscores
CREATE TABLE IF NOT EXISTS temp.users
WITH (autovacuum_enabled = FALSE) AS
SELECT
  seq AS id,
  'fname' || seq AS first_name,
  'lname' || seq AS last_name,
  'user_' || seq || '@' || (
    CASE (RANDOM() * 2)::INT
      WHEN 0 THEN 'gmail'
      WHEN 1 THEN 'hotmail'
      WHEN 2 THEN 'yahoo'
    END
  ) || '.com' AS email,
  CASE (seq % 2)
    WHEN 0 THEN 'Driver'
    ELSE 'Rider'
  END AS type,
  NOW() AS created_at,
  NOW() AS updated_at
FROM GENERATE_SERIES(1, 10_000_000) seq;

COMMIT;

-- Update VM and stats
VACUUM (ANALYZE) temp.users;
