-- NOTE: Run these *indivudally* in psql
-- These set variables: json_string1, json_string2, and json_string3
SELECT $$'{"ride_details":
{"bags_in_trunk": 1, "music_on": true,"water_offered": false}
}'::jsonb$$
AS json_string1 \gset

SELECT $$'{"ride_details":
{"bags_in_trunk": 2, "music_on": true,"water_offered": true}
}'::jsonb$$
AS json_string2 \gset

SELECT $$'{"ride_details":
{"bags_in_trunk": 3, "music_on": false,"water_offered": true}
}'::jsonb$$
AS json_string3 \gset

-- Make sure three rows appear
\x -- vertical presentation
SELECT :json_string1, :json_string2, :json_string3;

-- Add the `data` column to the trips table
ALTER TABLE trips ADD COLUMN data jsonb;

-- Insert the 3 json strings above
-- into the `rideshare.trips` table
-- for ids 1, 2, 3
--
-- Assumes these exist:
-- SELECT id FROM trips WHERE id IN (1,2,3);
--
-- use UPDATE ... FROM for a multi-row UPDATE
-- https://stackoverflow.com/a/18799497
UPDATE trips AS t
SET data = c.json_string
from (VALUES
  (:json_string1, 1),
  (:json_string2, 2),
  (:json_string3, 3)
) AS c(json_string, trip_id)
WHERE c.trip_id = t.id;
